Opened 9 years ago

Closed 9 years ago

#33039 closed defect (fixed)

py27-wxpython: build fails when llvm-gcc42 port is installed because it's not UsingTheRightCompiler

Reported by: ryandesign (Ryan Schmidt) Owned by: jyrkiwahlstedt
Priority: Normal Milestone:
Component: ports Version: 2.0.3
Keywords: Cc:
Port: py-wxpython

Description

py27-wxpython uses the compiler "llvm-gcc-4.2" which, when the llvm-gcc42 port is installed, runs the program installed by that port, instead of the one installed by Xcode. py27-wxpython needs to ensure it's UsingTheRightCompiler.

Consider all the other py*-wxpython ports too.

Change History (4)

comment:1 Changed 9 years ago by jyrkiwahlstedt

Resolution: fixed
Status: newclosed

The port having been unified does not define any compiler at the moment, so this should be fixed

comment:2 Changed 9 years ago by jmroot (Joshua Root)

Resolution: fixed
Status: closedreopened

This is not fixed; the compiler is hardcoded in the patchfile.

comment:3 Changed 9 years ago by jmroot (Joshua Root)

Port: py-wxpython added; py27-wxpython removed

comment:4 Changed 9 years ago by jyrkiwahlstedt

Resolution: fixed
Status: reopenedclosed

I guess the title misses 'not', but anyway, change was made in r91746

Note: See TracTickets for help on using tickets.